edu.isi.pegasus.planner.catalog.site.impl

## Class OSGMM.ListCallback

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.impl.OSGMM.ListCallback

All Implemented Interfaces:
  StreamGobblerCallback

Enclosing class:
  OSGMM

    private static class OSGMM.ListCallback
    extends java.lang.Object
    implements StreamGobblerCallback

An inner class, that implements the StreamGobblerCallback to store all the lines in a List

### Field Summary

Fields
`(package private) java.util.List<java.lang.String>` `mList` The ArrayList where the lines are stored.

### Constructor Summary

Constructors
Constructor and Description
`ListCallback()` Default Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getContents()` Returns the contents captured.
`void` `work(java.lang.String line)` Callback whenever a line is read from the stream by the StreamGobbler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mList

    java.util.List<java.lang.String> mList

The ArrayList where the lines are stored.

### Constructor Detail

#### ListCallback

    public ListCallback()

Default Constructor.

### Method Detail

#### work

    public void work(java.lang.String line)

Callback whenever a line is read from the stream by the StreamGobbler. Adds the line to the list.

Specified by:
  `work` in interface `StreamGobblerCallback`
Parameters:
  `line` - the line that is read.

#### getContents

    public java.util.List<java.lang.String> getContents()

Returns the contents captured.

Returns:
  List<String>